Up

# NSMenuItemCell

### Authors

Michael Hanni (`mhanni@sprintmail.com`)

Copyright: (C) 1999 Free Software Foundation, Inc.

# Software documentation for the NSMenuItemCell class

## NSMenuItemCell : NSButtonCell

> Declared in:
>   AppKit/NSMenuItemCell.h

> Conforms to:
>   NSCopying
>   NSCoding

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -calcSize
- -drawBorderAndBackgroundWithFrame:inView:
- -drawImageWithFrame:inView:
- -drawKeyEquivalentWithFrame:inView:
- -drawSeparatorItemWithFrame:inView:
- -drawStateImageWithFrame:inView:
- -drawTitleWithFrame:inView:
- -imageRectForBounds:
- -imageWidth
- -isHighlighted
- -keyEquivalentRectForBounds:
- -keyEquivalentWidth
- -menuItem
- -menuView
- -needsSizing
- -setHighlighted:
- -setMenuItem:
- -setMenuView:
- -setNeedsSizing:
- -stateImageRectForBounds:
- -stateImageWidth
- -titleRectForBounds:
- -titleWidth

### calcSize

- (void) calcSize;
Availability: OpenStep
Description forthcoming.

### drawBorderAndBackgroundWithFrame: inView:

- (void) drawBorderAndBackgroundWithFrame: (NSRect)cellFrame inView: (NSView*)controlView;
Availability: OpenStep
Description forthcoming.

### drawImageWithFrame: inView:

- (void) drawImageWithFrame: (NSRect)cellFrame inView: (NSView*)controlView;
Availability: OpenStep
Description forthcoming.

### drawKeyEquivalentWithFrame: inView:

- (void) drawKeyEquivalentWithFrame: (NSRect)cellFrame inView: (NSView*)controlView;
Availability: OpenStep
Description forthcoming.

### drawSeparatorItemWithFrame: inView:

- (void) drawSeparatorItemWithFrame: (NSRect)cellFrame inView: (NSView*)controlView;
Availability: OpenStep
Description forthcoming.

### drawStateImageWithFrame: inView:

- (void) drawStateImageWithFrame: (NSRect)cellFrame inView: (NSView*)controlView;
Availability: OpenStep
Description forthcoming.

### drawTitleWithFrame: inView:

- (void) drawTitleWithFrame: (NSRect)cellFrame inView: (NSView*)controlView;
Availability: OpenStep
Description forthcoming.

### imageRectForBounds:

- (NSRect) imageRectForBounds: (NSRect)cellFrame;
Availability: OpenStep
Description forthcoming.

### imageWidth

- (float) imageWidth;
Availability: OpenStep
Description forthcoming.

### isHighlighted

- (BOOL) isHighlighted;
Availability: OpenStep
Description forthcoming.

### keyEquivalentRectForBounds:

- (NSRect) keyEquivalentRectForBounds: (NSRect)cellFrame;
Availability: OpenStep
Description forthcoming.

### keyEquivalentWidth

- (float) keyEquivalentWidth;
Availability: OpenStep
Description forthcoming.

### menuItem

- (NSMenuItem*) menuItem;
Availability: OpenStep
Description forthcoming.

### menuView

- (NSMenuView*) menuView;
Availability: OpenStep
Description forthcoming.

### needsSizing

- (BOOL) needsSizing;
Availability: OpenStep
Description forthcoming.

### setHighlighted:

- (void) setHighlighted: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setMenuItem:

- (void) setMenuItem: (NSMenuItem*)item;
Availability: OpenStep
Description forthcoming.

### setMenuView:

- (void) setMenuView: (NSMenuView*)menuView;
Availability: OpenStep
Description forthcoming.

### setNeedsSizing:

- (void) setNeedsSizing: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### stateImageRectForBounds:

- (NSRect) stateImageRectForBounds: (NSRect)cellFrame;
Availability: OpenStep
Description forthcoming.

### stateImageWidth

- (float) stateImageWidth;
Availability: OpenStep
Description forthcoming.

### titleRectForBounds:

- (NSRect) titleRectForBounds: (NSRect)cellFrame;
Availability: OpenStep
Description forthcoming.

### titleWidth

- (float) titleWidth;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSMenuItemCell Class

### _imageSize

@protected NSSize _imageSize;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _imageToDisplay

@protected NSImage* _imageToDisplay;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _imageWidth

@protected float _imageWidth;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _keyEquivalentWidth

@protected float _keyEquivalentWidth;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _mcell_belongs_to_popupbutton

@protected BOOL _mcell_belongs_to_popupbutton;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _menuItem

@protected NSMenuItem* _menuItem;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _menuItemHeight

@protected float _menuItemHeight;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _menuView

@protected NSMenuView* _menuView;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _needs_sizing

@protected BOOL _needs_sizing;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _pad1

@protected char _pad1;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _pad2

@protected char _pad2;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _stateImageWidth

@protected float _stateImageWidth;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _titleToDisplay

@protected NSString* _titleToDisplay;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _titleWidth

@protected float _titleWidth;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up